%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%if 0%{?__python:1}
%{!?python_shortver: %global python_shortver %(%{__python} -c 'import sys; print("%s.%s" % (sys.version_info.major,sys.version_info.minor))')}
%else
%{!?python_shortver: %global python3_shortver 2.x}
%endif

%if 0%{?__python3:1}
%{!?python3_shortver: %global python3_shortver %(%{__python3} -c 'import sys; print("%s.%s" % (sys.version_info.major,sys.version_info.minor))')}
%else
%{!?python3_shortver: %global python3_shortver 3.x}
%endif

%global srcname shade

%global common_desc shade is a simple client library for operating OpenStack clouds.

Name:           python-%{srcname}
Version:        1.29.0
Release:        1%{?dist}
Summary:        Python module for operating OpenStack clouds

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/shade
Source0:        https://tarballs.openstack.org/shade/shade-%{upstream_version}.tar.gz

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python-pbr
BuildRequires:  python-devel

# test-requirements.txt
BuildRequires: python-mock
BuildRequires: python-betamax

# requirements.txt
BuildRequires:  python-six
BuildRequires:  python-jsonpatch
BuildRequires:  python-keystoneauth1
BuildRequires:  python-munch
BuildRequires:  python-os-client-config
BuildRequires:  python-requestsexceptions
BuildRequires:  python-jmespath
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-decorator
BuildRequires:  python-netifaces
BuildRequires:  python-dogpile-cache
BuildRequires:  python-ipaddress
BuildRequires:  python-requests-mock

%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3

%description
%{common_desc}

Requires:       python-iso8601                  >= 0.1.11
Requires:       python-jmespath                 >= 0.9.0
Requires:       python-jsonpatch                >= 1.16
Requires:       python-keystoneauth1            >= 3.3.0
Requires:       python-munch                    >= 2.1.0
Requires:       python-os-client-config         >= 1.28.0
Requires:       python-openstacksdk             >= 0.15.0
Requires:       python-pbr                      >= 2.0.0
Requires:       python-requestsexceptions       >= 1.2.0
Requires:       python-six                      >= 1.10.0
Requires:       python-dogpile-cache             >= 0.6.2
Requires:       python-futures                   >= 3.0
Requires:       python-ipaddress                 >= 1.0.16
Requires:       python-decorator                 >= 3.4.0
Requires:       python-netifaces                 >= 0.10.4

%description 
%{common_desc}

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-decorator               >= 3.4.0
Requires:       python3-dogpile-cache           >= 0.6.2
Requires:       python3-iso8601                 >= 0.1.11
Requires:       python3-jmespath                >= 0.9.0
Requires:       python3-jsonpatch               >= 1.16
Requires:       python3-keystoneauth1           >= 3.3.0
Requires:       python3-munch                   >= 2.1.0
Requires:       python3-netifaces               >= 0.10.4
Requires:       python3-os-client-config        >= 1.28.0
Requires:       python3-openstacksdk            >= 0.15.0
Requires:       python3-pbr                     >= 2.0.0
Requires:       python3-requestsexceptions      >= 1.2.0
Requires:       python3-six                     >= 1.10.0

%description -n python3-%{srcname}
%{common_desc}
%endif

%prep
%autosetup -n %{srcname}-%{upstream_version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%check
#%{__python} setup.py testr
# cleanup testrepository
#rm -rf .testrepository
#%if 0%{?with_python3}
#%{__python3} setup.py testr
#%endif

%install
%py2_install
mv $RPM_BUILD_ROOT%{_bindir}/shade-inventory \
        $RPM_BUILD_ROOT%{_bindir}/shade-inventory-%{python_shortver}
%if 0%{?with_python3}
%py3_install
mv $RPM_BUILD_ROOT%{_bindir}/shade-inventory \
        $RPM_BUILD_ROOT%{_bindir}/shade-inventory-%{python3_shortver}
%endif

# handle symlinking of unversioned binary
%if 0%{?with_python3}
ln -s shade-inventory-%{python3_shortver} \
        $RPM_BUILD_ROOT%{_bindir}/shade-inventory
%else
ln -s shade-inventory-%{python_shortver} \
        $RPM_BUILD_ROOT%{_bindir}/shade-inventory
%endif

%files -n python-%{srcname}
%license LICENSE
%doc README.rst AUTHORS
%{python_sitelib}/shade*

%{_bindir}/shade-inventory-%{python_shortver}
%if ! 0%{?with_python3}
%{_bindir}/shade-inventory
%endif

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE
%doc README.rst AUTHORS
%{python3_sitelib}/shade*

%{_bindir}/shade-inventory-%{python3_shortver}
%{_bindir}/shade-inventory
%endif

%changelog
* Mon Aug 27 2018 RDO <dev@lists.rdoproject.org> 1.29.0-1
- Update to 1.29.0

